未由时光

报错found pre-existing rpmdb problem

之前一天帮客户升级从Centos 7升级7.6的时候执行yum update报错:
** Found 38 pre-existing rpmdb problem(s), ‘yum check’ output follows:
attr-2.4.44-7.el6.x86_64 has missing requires of libattr = (‘0’, ‘2.4.44’, ‘7.el6’)
cloog-ppl-0.15.7-1.2.el6.x86_64 has missing requires of libgmp.so.3()
cpp-4.4.7-16.el6.x86_64 has missing requires of libgmp.so.3()(64bit)

系统upgrade的时候,残存了上一个版本的软件包信息(比如升级到了attr-2.4.44,但系统中存在了Centos6下的软件包信息)。

注意:如果系统已经安装过宝塔面板此方法有几率无效,可能会报httpd、php、mysql的rpm包出错。可以先到宝塔里把这报错这些升级到

解决办法:

1.配置正确的yum源

yum install epel-release

2.执行相关命令

yum clean all          ##清除本地yum缓存
yum distro-sync        ##同步本地软件和epel源的软件包信息

至此问题基本解决
如果还有个别异常的建议重新安装该软件

重装步骤
1.使用rpm -qa找到该软件
2.使用yum remove卸载该依赖包
3.重新安装

显示评论 (0)

文章评论

相关推荐

CentOS 6&7开放防火墙端口

CentOS跨版本升级会带来一些新特性,同时也会更换一些系统管理组件,比如防火墙。

Windows 资源管理器出现系统调用失败

出现这个问题一般是因为杀毒软件修改了注册表